Bug 1313974 - Additional test failures
Additional test failures
Status: NEW
Product: Red Hat Software Collections
Classification: Red Hat
Component: rubygem-railties (Show other bugs)
rh-ror42
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: Pavel Valena
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 13:09 EST by Pavel Valena
Modified: 2017-08-08 05:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Valena 2016-03-02 13:09:28 EST
Description of problem:
In RHSCL rh-ror42 are additional failing tests than in Fedora. Test results are also very unstable.

Version-Release number of selected component (if applicable):
rubygem-railties-4.2.5.1-6.el7

How reproducible:
Make a scratch-build of rh-ror42-rubygem-railties with deleted "grep" of the test execution.

Steps to Reproduce:
1. rhpkg co rubygem-railties && cd rubygem-railties && \
git checkout rhscl-2.2-rh-ror42-rhel-7
2. delete " | grep .*" in %check
3. rhpkg scratch-build

Actual results:
Approx. "1111 runs, 2331 assertions, 210 failures, 396 errors, 0"

Expected results:
Ideally "1012 runs, 2433 assertions, 129 failures, 330 errors, 0"

Additional info:
Test suite is very unstable, test results may vary in every run.
Comment 1 Joe Orton 2016-04-07 12:01:34 EDT
Have you identified a fix for this?
Comment 3 Pavel Valena 2016-04-07 12:50:53 EDT
Sorry, no. I have found no fix.

However, I have found out that in Fedora the tests are also very unstable and are disabled since 2015-02-12.

The tests are run (in Fedora/RHSCL) in a fake framework root, which is trying to work around the Bundler usage for the tests.

Additionally, after updating to 4.2.6, the tests do not run at all, due to invalid dependency path(s).

Note You need to log in before you can comment on or make changes to this bug.